<?php
/**
 * Template part for displaying home services section.
 *
 * @package Photomania
 */

?>
<?php
	$services_title   = photomania_get_option( 'services_title' );
	$services_number  = absint( photomania_get_option( 'services_number' ) );
	$services_column  = photomania_get_option( 'services_column' );
	$service_pages    = array();
	$service_page_ids = array();

	for ( $i = 0; $i <= $services_number; $i++ ) {
		$page = photomania_get_option( 'services_page_' . $i );
		if ( absint( $page ) > 0 ) {
			$item = array();
			$item['id'] = absint( $page );
			$item['icon'] = '';
			$icon = photomania_get_option( 'services_icon_' . $i );
			if ( $icon ) {
				$item['icon'] = esc_attr( $icon );
			}
			$service_pages[ $item['id'] ] = $item;
		}
	}

	if ( ! empty( $service_pages ) ) {
		$service_page_ids = wp_list_pluck( $service_pages, 'id' );
	}
?>
<div id="photomania-services" class="home-section-services">
	<div class="container">
		<h2 class="section-title"><?php echo esc_html( $services_title ); ?></h2>

		<?php if ( ! empty( $service_page_ids ) ) : ?>
			<?php
			$qargs = array(
				'posts_per_page' => absint( $services_number ),
				'no_found_rows'  => true,
				'orderby'        => 'post__in',
				'post_type'      => 'page',
				'post__in'       => $service_page_ids,
			);

			// Fetch posts.
			$the_query = new WP_Query( $qargs );
			?>
			<?php if ( $the_query->have_posts() ) : ?>
				<div class="services-block-list services-col-<?php echo absint( $services_column ) ?>">
					<div class="inner-wrapper">
					<?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>

						<div class="services-item">
							<div class="services-item-inner">
								<?php
								$id = get_the_ID();
								$fa_icon = $service_pages[ $id ]['icon'];
								?>
								<?php if ( ! empty( $fa_icon ) ) : ?>
									<a href="<?php the_permalink(); ?>"> <i class="fa <?php echo esc_attr( $fa_icon ); ?>"></i></a>
								<?php endif; ?>
								<h3 class="service-item-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
							</div><!-- .services-item-inner -->
						</div><!-- .services-item -->
					<?php endwhile; ?>
					</div> <!-- .inner-wrapper -->
				</div><!-- .services-wrapper -->
				<?php wp_reset_postdata(); ?>
			<?php endif; ?>

		<?php else: ?>

			<?php if ( current_user_can( 'edit_theme_options' ) ) : ?>
				<p><strong><?php esc_html_e( 'No pages selected to be displayed as services. In Customizer, go to Homepage Sections -> Services to choose pages.', 'photomania-pro' ); ?></strong></p>
			<?php endif; ?>

		<?php endif; ?>
	</div><!-- .container -->
</div><!-- .home-section-services -->
